# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%global gitver 17d9d13

Name:           python-gitdb
Version:        0.5.2
Release:        1.git%{gitver}%{?dist}
Summary:        A pure-Python git object database

Group:          Development/Languages
License:        BSD
URL:            https://github.com/gitpython-developers/gitdb
# Get source from https://github.com/gitpython-developers/gitdb/tarball/17d913
Source0:        gitpython-developers-gitdb-%{version}-16-g%{gitver}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       python-async >= 0.6.1

BuildRequires:  python-devel

# Filter the private provide
%{?filter_setup:
%filter_provides_in %{python_sitearch}/gitdb/_perf.so
%filter_setup
}

%description
GitDB allows you to access bare git repositories for reading and writing. It
aims at allowing full access to loose objects as well as packs with performance
and scalability in mind. It operates exclusively on streams, allowing to
operate on large objects with a small memory footprint.


%prep
%setup -q -n gitpython-developers-gitdb-%{gitver}


%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.rst AUTHORS LICENSE
# For arch-specific packages: sitearch
%{python_sitearch}/*

%changelog
* Sat May 28 2011 Jesse Keating <jkeating@redhat.com> - 0.5.2-1.git17d9d13
- Initial package

